Loading...
Searching...
No Matches
pycallback_object< myType > Class Template Reference

`#include <gnuradio/pycallback_object.h>`

## Public Member Functions

| pycallback_object (std::string name, std::string functionbase, std::string units, std::string desc, myType min, myType max, myType deflt, DisplayType dtype)
void | add_rpc_variable (rpcbasic_sptr s)
myType | get ()
void | set_callback (PyObject *cb)
void | setup_rpc ()

## Constructor & Destructor Documentation

## pycallback_object()

template<class myType>

pycallback_object< myType >::pycallback_object | ( | std::string | name,
|  | std::string | functionbase,
|  | std::string | units,
|  | std::string | desc,
|  | myType | min,
|  | myType | max,
|  | myType | deflt,
|  | DisplayType | dtype )

inline

References pycallback_object_count, and setup_rpc().

## Member Function Documentation

## add_rpc_variable()

template<class myType>

void pycallback_object< myType >::add_rpc_variable | ( | rpcbasic_sptr | s | ) |

inline

Referenced by setup_rpc().

## get()

template<class myType>

myType pycallback_object< myType >::get | ( |  | ) |

inline

Referenced by setup_rpc().

## set_callback()

template<class myType>

void pycallback_object< myType >::set_callback | ( | PyObject * | cb | ) |

inline

## setup_rpc()

template<class myType>

void pycallback_object< myType >::setup_rpc | ( |  | ) |

inline

References add_rpc_variable(), get(), pmt_assist< myType >::make(), and RPC_PRIVLVL_MIN.

Referenced by pycallback_object().

The documentation for this class was generated from the following file:

- pycallback_object.h